
#this module holds all the common functionality that can be used across sites
module Register
  
  def enter_first_name(first_name)
    $browser.text_field(:id, /firstname/).set(first_name)
    puts "first name entered of: #{first_name}" 
  end
  def enter_last_name(last_name)
    $browser.text_field(:id, /lastname/).set(last_name)
    puts "last name entered of: #{last_name}"
  end  
  def enter_email_address(email)
    $browser.text_field(:id, /email/).set(email)
    puts "last name entered of: #{email}"
  end
  def confirm_email_address(email)
    $browser.text_field(:id, /emailconfirm/).set(email)
     puts "confirmed email address of: #{email}"
  end
  def enter_password(password)
     $browser.text_field(:id, /password1/).set(password)
     puts "password entered of: #{password}"
  end
  def confirm_password(password)
    $browser.text_field(:id, /password2/).set(password)
    puts "password confirmed of: #{password}" 
  end
  def enter_registration_code(registration_code)
    $browser.text_field(:id, /RegistrationCode/).set(registration_code)
    puts "registration code entered of: #{registration_code}" 
  end
  def check_terms_and_conditions
    $browser.checkbox(:id, /mbrProfile/).set
    puts "terms and conditions checked"  
  end
  def click_confirm_button
    $browser.button(:id, /mbrProfile_btnSaveMember/).click
    puts "confirm button clicked" 
  end
  def click_go_button
    $browser.button(:id, /loginBox_btnLogin/).click
    puts "go button clicked" 
  end
 

  def register_an_account(first_name, last_name, email, password, registration_code) 

    click_register_link
    enter_first_name(first_name)
    enter_last_name(last_name)
    enter_email_address(email)
    confirm_email_address(email)
    enter_password(password)
    confirm_password(password)
    enter_registration_code(registration_code)
    check_terms_and_conditions
    click_confirm_button
    verify(!does_the_html_include('The generated code you entered was incorrect'),
                                                              'error in registration code')
    verify(does_the_html_include('Name: ' + first_name + ' ' + last_name),'registration name not shown')
    verify(does_the_html_include(email), 'registration email not shown')
    click_log_out

    ensure
      browser_close
  end
end

